Contenu | Rechercher | Menus

Annonce

Si vous rencontrez des soucis à rester connecté sur le forum (ou si vous avez perdu votre mot de passe) déconnectez-vous et reconnectez-vous depuis cette page, en cochant la case "Me connecter automatiquement lors de mes prochaines visites".

#1 Le 11/12/2012, à 13:37

Sundgo

Serveur lamp

Bonjour,

Je souhaite installer un serveur lamp sou Ubuntu 12.10 Quantal.
Dans le sofware-center, j'installe d'abord apache2.
Quand je veux installer PHP5, le sofware-center me répond que je dois d'abord désinstaller 'apache2-mpm-worker'.
Mais si je désinstalle 'apache2-mpm-worker', c'est Apache2 en totalité qui est désinstallé ...
Alors comment faire ?

Merci pour vos suggestions.

Bernard


Config : Fixe : AMD Athlon II X3 450 - RAM 4Go - DD 1 To - Ubuntu 13.04 - 64bits
Portable Asus K0IJ-TY042V - PentT4300 - RAM 4Go - Intel GMA 4500M - DD 320 Go - Windows 7 - Ubuntu 12.04.1 LTS 32bits

Hors ligne

#2 Le 11/12/2012, à 14:27

lool_lauris

Re : Serveur lamp

Salut,

Vire tout et recommence en suivant ceci => http://forum.ubuntu-fr.org/viewtopic.ph … #p11808391


Ne rien lâcher, les utopies d'aujourd'hui seront la réalité de demain !
------------------------------------------------------------------------------------------------
Soutenez le Libre => http://www.april.org/

Hors ligne

#3 Le 11/12/2012, à 17:23

Sundgo

Re : Serveur lamp

J'ai fait un "apt-get purge apache2 php5 mysql-server" suivi d'un "apt-get install apache2 php5 mysql-server", mais rien n'y fait ...
Je me retrouve avec une erreur de traitement de mysql-server lié à des problèmes de dépendance...

Dernière modification par Sundgo (Le 11/12/2012, à 17:27)


Config : Fixe : AMD Athlon II X3 450 - RAM 4Go - DD 1 To - Ubuntu 13.04 - 64bits
Portable Asus K0IJ-TY042V - PentT4300 - RAM 4Go - Intel GMA 4500M - DD 320 Go - Windows 7 - Ubuntu 12.04.1 LTS 32bits

Hors ligne

#4 Le 11/12/2012, à 22:31

lool_lauris

Re : Serveur lamp

Il aurait fallu que tu lises le post (pas le topic) jusqu'au bout.
En effet 2 lignes plus bas, voici la commande complète qui prend en compte le problème de dépendance :

sudo apt-get install apache2 mysql-server php5 php5-mysql libapache2-mod-php5

Ne rien lâcher, les utopies d'aujourd'hui seront la réalité de demain !
------------------------------------------------------------------------------------------------
Soutenez le Libre => http://www.april.org/

Hors ligne

#5 Le 12/12/2012, à 08:21

Sundgo

Re : Serveur lamp

Toujours la même erreur après avoir fait un apt-get purge ... :

bernard@bernard-GA-880GM-UD2H:~$ sudo apt-get install apache2 mysql-server php5 php5-mysql libapache2-mod-php5
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
php5-mysql est déjà la plus récente version disponible.
Les NOUVEAUX paquets suivants seront installés :
  apache2 libapache2-mod-php5 mysql-server php5
0 mis à jour, 4 nouvellement installés, 0 à enlever et 0 non mis à jour.
1 partiellement installés ou enlevés.
Il est nécessaire de prendre 2 740 ko/2 752 ko dans les archives.
Après cette opération, 9 276 ko d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer [O/n] ? o
Réception de :1 http://fr.archive.ubuntu.com/ubuntu/ quantal-updates/main apache2 amd64 2.2.22-6ubuntu2.1 [1 446 B]
Réception de :2 http://fr.archive.ubuntu.com/ubuntu/ quantal-updates/main libapache2-mod-php5 amd64 5.4.6-1ubuntu1.1 [2 737 kB]
Réception de :3 http://fr.archive.ubuntu.com/ubuntu/ quantal-updates/main php5 all 5.4.6-1ubuntu1.1 [1 064 B]
2 740 ko réceptionnés en 4s (623 ko/s)
Sélection du paquet apache2 précédemment désélectionné.
(Lecture de la base de données... 174404 fichiers et répertoires déjà installés.)
Dépaquetage de apache2 (à partir de .../apache2_2.2.22-6ubuntu2.1_amd64.deb) ...
Sélection du paquet libapache2-mod-php5 précédemment désélectionné.
Dépaquetage de libapache2-mod-php5 (à partir de .../libapache2-mod-php5_5.4.6-1ubuntu1.1_amd64.deb) ...
Sélection du paquet mysql-server précédemment désélectionné.
Dépaquetage de mysql-server (à partir de .../mysql-server_5.5.28-0ubuntu0.12.10.2_all.deb) ...
Sélection du paquet php5 précédemment désélectionné.
Dépaquetage de php5 (à partir de .../php5_5.4.6-1ubuntu1.1_all.deb) ...
Paramétrage de mysql-server-5.5 (5.5.28-0ubuntu0.12.10.2) ...
start: Job failed to start
invoke-rc.d: initscript mysql, action "start" failed.
dpkg: erreur de traitement de mysql-server-5.5 (--configure) :
 le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
Paramétrage de apache2 (2.2.22-6ubuntu2.1) ...
Paramétrage de libapache2-mod-php5 (5.4.6-1ubuntu1.1) ...

Creating config file /etc/php5/apache2/php.ini with new version
dpkg: des problèmes de dépendances empêchent la configuration de mysql-server :
 mysql-server dépend de mysql-server-5.5 ; cependant :
 Le paquet mysql-server-5.5 n'est pas encore configuré.

dpkg: erreur de traitement de mysql-server (--configure) :
 problèmes de dépendances - laissé non configuré
Paramétrage de php5 (5.4.6-1ubuntu1.1) ...
Aucun rapport « apport » n'a été créé car le message d'erreur indique une erreur consécutive à un échec précédent.
                                  Des erreurs ont été rencontrées pendant l'exécution :
 mysql-server-5.5
 mysql-server
E: Sub-process /usr/bin/dpkg returned an error code (1)

Config : Fixe : AMD Athlon II X3 450 - RAM 4Go - DD 1 To - Ubuntu 13.04 - 64bits
Portable Asus K0IJ-TY042V - PentT4300 - RAM 4Go - Intel GMA 4500M - DD 320 Go - Windows 7 - Ubuntu 12.04.1 LTS 32bits

Hors ligne

Haut de page ↑